<script src="app-assets/vendors/js/jqBootstrapValidation.js" type="text/javascript"></script>
<script src="app-assets/js/form-validation.js" type="text/javascript"></script>
<script src="app-assets/vendors/js/switchery.min.js" type="text/javascript"></script>
<script src="app-assets/js/switch.min.js" type="text/javascript"></script>

<div class="content-wrapper" ng-controller="veiculoEditarController as veiculoEditarCtrl">
    <div class="row">
        <div class="col-sm-12">
            <div class="content-header">Editar veiculo</div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-content">
                    <div class="px-3">
                        <form class="form-horizontal" ng-submit="veiculoEditarCtrl.atualizar()" novalidate>
                            <div class="form-body">
                                <!-- Fotos -->
                                <h4 class="form-section"><i class="ft-user"></i> Fotos</h4>
                                <div class="row">
                                    <div style="margin-left: 67px" class="col-md-1 col-12">
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <img width="480" height="360" id="img"
                                            ng-src="{{'data:image/png;base64,'+ veiculoEditarCtrl.veiculo.foto}}"
                                            alt="veiculo" />
                                    </div>
                                </div>
                                </br></br></br>
                                <div class="row">
                                    <div class="col-lg-6 col-md-12">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text" id="inputGroupFileAddon01">Upload</span>
                                            </div>
                                            <div class="custom-file" fileread="veiculoEditarCtrl.foto" select-ng-files
                                                ng-model="fileArray">
                                                <div class="form-group">
                                                    <div class="controls mb-1">
                                                        <input type="file" class="custom-file-input"
                                                            id="inputGroupFile01"
                                                            aria-describedby="inputGroupFileAddon01" accept=".jpg,.png">
                                                    </div>
                                                </div>
                                                <label class="custom-file-label"
                                                    for="inputGroupFile01">{{veiculoEditarCtrl.veiculo.caminhoFoto}}</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- Sobre -->
                                <h4 class="form-section"><i class="ft-info"></i> Sobre</h4>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="cpf">Marca:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="marca"
                                                        ng-model="veiculoEditarCtrl.veiculo.marca" required
                                                        data-validation-required-message="Obrigatório"
                                                        class="form-control mb-1" name="marca">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Modelo:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="modelo" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="veiculoEditarCtrl.veiculo.modelo"
                                                        class="form-control " name="modelo">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Ano Fabricação:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="anoFabricacao" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="veiculoEditarCtrl.veiculo.anoFabricacao" mask="9999"
                                                        class="form-control " name="anoFabricacao">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Ano Modelo:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="anoModelo" mask="9999" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="veiculoEditarCtrl.veiculo.anoModelo"
                                                        class="form-control " name="anoModelo">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="nome">Placa:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="placa" mask="###-9999" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="veiculoEditarCtrl.veiculo.placa" class="form-control "
                                                        name="placa">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="nome">Renavam:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="renavam" mask="99999999999" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="veiculoEditarCtrl.veiculo.renavam"
                                                        class="form-control " name="renavam">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Ativo:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="form-group">
                                                    <div ng-show="veiculoEditarCtrl.veiculo.ativo">
                                                        <input ng-model="veiculoEditarCtrl.check" type="checkbox"
                                                            id="switchery" class="switchery" checked />
                                                    </div>
                                                    <div ng-show="!veiculoEditarCtrl.veiculo.ativo">
                                                        <input ng-model="veiculoEditarCtrl.check" type="checkbox"
                                                            id="switchery" class="switchery" />
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- Valores -->
                                <h4 class="form-section"><i class="ft-mail"></i> Valores</h4>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="telefone">Valor Mensal:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input class="form-control " data-thousands="." data-decimal=","
                                                        required data-validation-required-message="Obrigatório"
                                                        ng-model="veiculoEditarCtrl.veiculo.valorMensal"
                                                        id="valorMensal" id="valorMensal">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="email">Valor Semanal:
                                            </label>
                                            <div class="col-md-9">
                                                <input class="form-control" data-thousands="." data-decimal=","
                                                    ng-model="veiculoEditarCtrl.veiculo.valorSemanal" type="text"
                                                    id="valorSemanal">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="telefone">Valor Dia: </label>
                                            <div class="col-md-9">
                                                <input class="form-control" data-thousands="." data-decimal=","
                                                    ng-model="veiculoEditarCtrl.veiculo.valorDiaria" id="valorDiaria"
                                                    id="valorDiaria">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-actions right">
                                <button type="button" ng-click="veiculoEditarCtrl.cancelar()"
                                    class="btn btn-raised btn-warning mr-1">
                                    <i class="ft-x"></i> Cancelar
                                </button>
                                <button type="submit" class="btn btn-raised btn-primary">
                                    <i class="fa fa-check-square-o"></i> Salvar
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>